Subject: Re: [PATCH net 2/3] bnxt_en: Set TSO max segs on devices with limits

From: Jakub Kicinski <[email-masked]>
Date: Thu, 20 Jun 2024 06:45:46 -0700

On Wed, 19 Jun 2024 23:50:42 -0700 Michael Chan wrote:
> > If we're only going to see 0 or 2047 pulling in the FW interface update
> > and depending on newer FW version isn't a great way to fix this, IMHO.
> 
> This issue only affects the newest chip which just started production
> and the production FW has this updated interface.

Hm, okay, I see this only needs to go back to 6.8.

> > TCP has min MSS of 500+ bytes, so 2k segments gives us 1MB LSO at min
> > legitimate segment size, right? So this is really just a protection
> > against bugs in the TCP stack, letting MSS slide below 100.  
> 
> That's true for Big TCP, but what about UDP GSO?  Can UDP GSO exceed
> 2k segments?

I really don't think 2k segment limit is of any practical concern.

What I have seen for UDP GSO, since its used mostly for QUIC and mostly
on edge / in CDN - the speeds are much lower, so the QUIC stacks only 
use sends of 16k or so.

Anyway, the "this is only needed in 6.8" convinced me, I'll apply.